Account Reporting Events
GET
Get paginated reporting events for the account. This endpoint returns reporting events such as first response time, resolution time, and other metrics. Only administrators can access this endpoint. Results are paginated with 25 items per page.
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
page?integerThe page parameter
Default
1since?stringThe timestamp from where events should start (Unix timestamp in seconds)
until?stringThe timestamp from where events should stop (Unix timestamp in seconds)
inbox_id?numberFilter events by inbox ID
user_id?numberFilter events by user/agent ID
name?stringFilter events by event name (e.g., first_response, resolution, reply_time)
Success
application/json- response
meta?payload?array<>List of reporting events
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/reporting_events'Example Response
{ "meta": { "count": 0, "current_page": 0, "total_pages": 0 }, "payload": [ { "id": 0, "name": "string", "value": 0.1, "value_in_business_hours": 0.1, "event_start_time": "2019-08-24T14:15:22Z", "event_end_time": "2019-08-24T14:15:22Z", "account_id": 0, "conversation_id": 0, "inbox_id": 0, "user_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}